pythonOCC_array.SetValue(1,1,gp_Pnt(numpy_array[0,0],numpy_array[0,1],numpy_array[0,2]))?

图片说明
from future import division
import math
from OCC.Core.gp import (gp_Pnt, gp_Sphere, gp_Ax3, gp_Dir, gp_Circ, gp_Ax2,
gp_Pnt2d, gp_Dir2d)
from OCC.Core.BRepBuilderAPI import (BRepBuilderAPI_MakeEdge,
BRepBuilderAPI_MakeFace,
BRepBuilderAPI_MakeWire)
from OCC.Core.TColgp import TColgp_Array2OfPnt
from OCC.Core.GeomAPI import GeomAPI_PointsToBSplineSurface
from OCC.Core.GeomAbs import GeomAbs_C2
from OCC.Core.Geom2d import Geom2d_Line
from OCC.Core.BRepLib import breplib_BuildCurves3d
from OCC.Core.Quantity import Quantity_Color, Quantity_NOC_PINK
from OCC.Display.SimpleGui import init_display
import numpy as np
display, start_display, add_menu, add_function_to_menu = init_display()
numpy_array = np.array([[-15,200,10],[5,204,0],[15,200,0],[-15,20,15],[-5,20,0],[15,20,35]])
pythonOCC_array = TColgp_Array2OfPnt(1,3,1,2)
pythonOCC_array.SetValue(1,1,gp_Pnt(numpy_array[0,0],numpy_array[0,1],numpy_array[0,2]))
pythonOCC_array.SetValue(1,2,gp_Pnt(numpy_array[1,0],numpy_array[1,1],numpy_array[1,2]))
pythonOCC_array.SetValue(2,1,gp_Pnt(numpy_array[2,0], numpy_array[2,1],numpy_array[2,2]))
pythonOCC_array.SetValue(2,2,gp_Pnt(numpy_array[3,0], numpy_array[3,1],numpy_array[3,2]))
pythonOCC_array.SetValue(3,1, gp_Pnt(numpy_array[4,0],numpy_array[4,1],numpy_array[4,2]))
pythonOCC_array.SetValue(3,2, gp_Pnt(numpy_array[5,0], numpy_array[5,1],numpy_array[5,2]))
curve = GeomAPI_PointsToBSplineSurface(pythonOCC_array, 3, 8, GeomAbs_C2,0.001).Surface()
sface = BRepBuilderAPI_MakeFace(curve, 1e-6)
display.DisplayColoredShape(sface.Face())
start_display()

Csdn user default icon
上传中...
上传图片
插入图片
抄袭、复制答案,以达到刷声望分或其他目的的行为,在CSDN问答是严格禁止的,一经发现立刻封号。是时候展现真正的技术了!
立即提问